Request
curl https://sandbox.api.lendeasy.ai/v1/loans/$LOAN_ID/autopay \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/loans/${loanId}/autopay`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/loans/{loan_id}/autopay",
headers={"Authorization": f"Bearer {token}"},
)
{
"loanRef": "7204",
"status": "ACTIVE",
"instrument": {
"instrumentId": 704,
"maskedDisplay": "••6789"
},
"timingPolicy": {
"initiateDaysBeforeDue": 0,
"businessDayConvention": "FOLLOWING",
"onScheduleChange": "FOLLOW_NEW_SCHEDULE"
},
"amountPolicy": {
"type": "FULL_DUE"
},
"authorizationRef": "evd_JUN_AP_73",
"consecutiveFailureCount": 0,
"effectiveDate": "2026-08-21"
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}